Skip to main content
GET
Get trader collateral history

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Path Parameters

authority
string
required

Trader authority pubkey. Use /v1/traders/{trader_pubkey}/collateral-history for direct trader PDA lookups.

Query Parameters

pdaIndex
integer<int32>
Required range: x >= 0
nextCursor
string
prevCursor
string
cursor
string
limit
integer<int64>
required

Response

200 - application/json

Collateral history

Response for collateral event history queries

data
object[]
required

The data payload (array of items)

hasMore
boolean
required

Whether there are more results in the requested direction

nextCursor
string | null

Cursor for fetching older results

prevCursor
string | null

Cursor for fetching newer results